## backup-manager 0.7.14

=== Makefile ===
# Copyright © 2005-2016 The Backup Manager Authors
# See the AUTHORS file for details.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

# Makefile for Backup Manager written by Alexis Sukrieh, 
# smart ideas for finding out perl libraries' destination come 
# from Thomas Parmelan.

# $Revision$
# $Date$
# $Author$


# Overwrite that variable if you need to prefix the destination 
# (needed for vendors).
DESTDIR?=
PREFIX?=/usr/local

# Overwrite that variable with the Perl vendorlib Config value if 
# you package Backup Manager
PERL5DIR?="$(shell perl -MConfig -e 'print "$$Config{sitelib}"')"

# Some static paths, specific to backup-manager
BINDIR=$(PREFIX)/bin
SBINDIR=$(PREFIX)/sbin
VARDIR=$(PREFIX)/var

LIBDIR=$(PREFIX)/lib/backup-manager
CONTRIB=$(LIBDIR)/contrib
SHAREDIR=$(PREFIX)/share/backup-manager
SHFILES=\
	lib/externals.sh \
	lib/dialog.sh \
	lib/files.sh \
	lib/actions.sh \
	lib/dbus.sh \
	lib/backup-methods.sh\
	lib/upload-methods.sh\
	lib/burning-methods.sh\
	lib/logger.sh \
	lib/gettext.sh \
	lib/gettext-real.sh \
	lib/gettext-dummy.sh \
	lib/sanitize.sh \
	lib/md5sum.sh 

# For the backup-manager-doc package
DOCDIR		 = $(PREFIX)/share/doc/backup-manager
DOCHTMLDIR	 = $(DOCDIR)/user-guide.html
DOCPDF		 = doc/user-guide.pdf
DOCHTMLFILES = doc/user-guide.html/*.html
DOCPDF		 = doc/user-guide.pdf
DOCTXT		 = doc/user-guide.txt

# Main build rule (we don't buid the docs as we don't know if debiandocs can be
# there) so the docs target has to be called manually by vendors.
build: manpages 

# The backup-manager package
install: build install_lib install_bin install_contrib install_man install_po
install_binary: build install_lib install_bin

install_contrib:
	@echo -e "*** Contrib files ***\n"
	install -d $(DESTDIR)/$(CONTRIB)
	install -m0755 contrib/*.sh $(DESTDIR)/$(CONTRIB)

# The backup-manager-doc package
install_doc: 
	@echo -e "\n*** Building the User Guide ***\n"
	$(MAKE) -C doc DESTDIR=$(DESTDIR)
	install -d $(DESTDIR)/$(DOCDIR)
	-install -o root -g 0 -m 0644 $(DOCPDF) $(DESTDIR)/$(DOCDIR)
	-install -o root -g 0 -m 0644 $(DOCTXT) $(DESTDIR)/$(DOCDIR)
	install -d $(DESTDIR)/$(DOCHTMLDIR)
	-install -o root -g 0 -m 0644 $(DOCHTMLFILES) $(DESTDIR)/$(DOCHTMLDIR)

# The translation stuff
install_po:
	$(MAKE) -C po install DESTDIR=$(DESTDIR) PREFIX=$(PREFIX)

# The backup-manager libraries
install_lib:
	@echo -e "\n*** Installing libraries ***\n"
	install -d $(DESTDIR)/$(LIBDIR)
	-install -o root -g 0 -m 0644 $(SHFILES) $(DESTDIR)/$(LIBDIR)

# The main stuff to build the backup-manager package
install_bin:
	@echo -e "\n*** Installing scripts ***\n"
	mkdir -p $(DESTDIR)/$(SBINDIR)
	mkdir -p $(DESTDIR)/$(BINDIR)
	mkdir -p $(DESTDIR)$(SHAREDIR)
	-install -o root -g 0 -m 0755 backup-manager $(DESTDIR)/$(SBINDIR)
	-install -o root -g 0 -m 0755 backup-manager-purge $(DESTDIR)/$(BINDIR)
	-install -o root -g 0 -m 0755 backup-manager-upload $(DESTDIR)/$(BINDIR)
	-install -o root -g 0 -m 0644 backup-manager.conf.tpl $(DESTDIR)$(SHAREDIR)

	# Set PREFIX to backup-manager binary
	sed \
		-e "s#^bindir=.*#bindir=$(BINDIR)#" \
		-e "s#^libdir=.*#libdir=$(LIBDIR)#" \
		-e "s#^vardir=.*#vardir=$(VARDIR)#" \
		-i $(DESTDIR)/$(SBINDIR)/backup-manager
	
	mkdir -p $(DESTDIR)/$(PERL5DIR)
	mkdir -p $(DESTDIR)/$(PERL5DIR)/BackupManager
	-install -o root -g 0 -m 0644 BackupManager/*.pm $(DESTDIR)/$(PERL5DIR)/BackupManager
	
# Uninstall
uninstall:
	@echo -e "\n*** Unsinstalling Backup-Manager ***\n"
	@rm -fv $(DESTDIR)/$(SBINDIR)/backup-manager
	@rm -fv $(DESTDIR)/$(BINDIR)/backup-manager-purge
	@rm -fv $(DESTDIR)/$(BINDIR)/backup-manager-upload
	@rm -fv $(DESTDIR)/$(SHAREDIR)/backup-manager.conf.tpl
	@rm -fv $(DESTDIR)/$(PREFIX)/share/man/man8/backup-manager*.8
	@rm -Rfv $(DESTDIR)/$(LIBDIR)
	@rm -Rfv $(DESTDIR)/$(PERL5DIR)/BackupManager
	@rm -Rfv $(DESTDIR)/$(SHAREDIR)
	@rm -Rfv $(DESTDIR)/$(PREFIX)/share/doc/backup-manager
	@rm -fv $(DESTDIR)/$(PREFIX)/share/locale/*/LC_MESSAGES/backup-manager.mo

# Building manpages
man/backup-manager-upload.8:
	PERL5LIB=. pod2man --section 8 --center="backup-manager-upload" backup-manager-upload > man/backup-manager-upload.8

man/backup-manager-purge.8:
	PERL5LIB=. pod2man --section 8 --center="backup-manager-purge" backup-manager-purge > man/backup-manager-purge.8
	
# build the manpages
manpages: manpages-stamp	
manpages-stamp: man/backup-manager-upload.8 man/backup-manager-purge.8
	touch manpages-stamp

# Installing the man pages.
install_man: manpages-stamp
	@echo -e "\n*** Installing man pages ***\n"
	install -d $(DESTDIR)/$(PREFIX)/share/man/man8/
	-install -o root -g 0 -m 0644 man/*.8 $(DESTDIR)/$(PREFIX)/share/man/man8/

testperldir:
	@echo "PERL5DIR: $(PERL5DIR)"

docs:
	make -C doc all

clean:
	rm -f build-stamp
	rm -rf debian/backup-manager
	rm -f man/backup-manager-upload.8
	#rm -f man/*.8
	$(MAKE) -C po clean
	$(MAKE) -C doc clean

=== po/Makefile ===
SYSTEM := $(shell uname)
ifeq ($(SYSTEM), Darwin)
   prefix=$(DESTDIR)/sw
else
   prefix=$(DESTDIR)/$(PREFIX)
endif

# List here all source files with translatable strings.
POTFILES= \
	$(shell find ../lib -type f -name \*.sh) \
	../backup-manager

POFILES_SRC=backup-manager.files
POFILES=$(wildcard *.po)
MOFILES=$(POFILES:.po=.mo)
PACKAGE=backup-manager
.SUFFIXES: .po .mo

all: backup-manager.pot $(POFILES) $(MOFILES)

install: backup-manager.pot $(MOFILES)
	@echo "Installing mo files"
	for file in $(MOFILES); do \
		lang=`echo $$file | sed 's/\.mo//'`; \
		install -d $(prefix)/share/locale/$$lang/LC_MESSAGES/; \
		install -m 0644 $$file $(prefix)/share/locale/$$lang/LC_MESSAGES/backup-manager.mo; \
	done

$(POFILES_SRC):
	find ../lib -type f -name \*.sh | sort > $(POFILES_SRC)
	echo ../backup-manager >> $(POFILES_SRC)

$(PACKAGE).pot: $(POFILES_SRC)
	xgettext --keyword=info \
			 --keyword=warning \
			 --keyword=error \
			 --keyword=echo_translated \
			 --language=Shell \
			 -o backup-manager.pot \
			 --files-from=$(POFILES_SRC)
clean:
	rm -f backup-manager.pot \
		  backup-manager.files \
	      $(MOFILES) \
		  messages messages.mo \
		  messages.po
	for file in $(wildcard *.old); do \
		mv -f $$file `echo $$file | sed 's/\.old//'`; \
		done

.po.mo: backup-manager.pot
	@echo "Merging $(PACKAGE).pot and $*.po"
	@msgmerge $*.po $(PACKAGE).pot -o $*.po.new
	@if [ "`diff $*.po $*.po.new | grep '[<>]' | wc -l`" -ne 2 ]; then \
        mv -f --backup=simple --suffix='.old' $*.po.new $*.po; \
    else \
        rm -f $*.po.new; \
    fi
	@msgfmt --statistics $*.po
	msgfmt --no-hash -o $*.mo $*.po

check:
	@for file in $(POFILES); do \
		lang=`echo $$file | sed 's/\.po//'`; \
		printf "$$lang: "; \
		msgfmt -o /dev/null -c -v --statistics $$lang.po;\
	done

=== t/Makefile ===
trash=\
	repository \
	rep-BackupManagertest \
	bar-foo \
	foo-foo.d \
	static \
	var \
	test.pl \
	rep-132312-test \
	rep-sukria-test \
	foo.d \
	bar01 \
	foo-bar.d \
	bar21

clean:
	rm -rf $(trash)

=== debian/changelog ===
backup-manager (0.7.14-3) unstable; urgency=medium

  * Add test patch for dar 2.7.17 (Closes: #1102378)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Apr 2025 16:31:04 +0200

backup-manager (0.7.14-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info format in d/backup-manager.lintian-overrides
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Margarita Manterola ]
  * Remove old changelog merging artifacts
  * Rename Debian NEWS file
  * Use UTF-8 for Spanish, French and Swedish translation files
  * Add lintian overrides for upstream encoding of files
  * Add lintian overrides for the cron script template
  * Add lintian overrides for the missing systemd-timer
  * Update debian/watch file
  * Add gbp configuration
  * Update debian/copyright to DEP-5 format
  * Check for nocheck option when running tests
  * Add myself to uploaders

 -- Margarita Manterola <marga@debian.org>  Sun, 30 Mar 2025 15:51:03 +0200

backup-manager (0.7.14-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Update programme translation
    - French translation.
      Thanks to Jean-Pierre Giraud (Closes: #928816)
  * backup-manager-doc: Add Multi-Arch: foreign.
    Thanks Debian Janitor.

 -- Helge Kreutzmann <debian@helgefjell.de>  Fri, 10 Feb 2023 17:59:54 +0100

backup-manager (0.7.14-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add new patch: 0007-Fixes-two-coding-bugs-in-backup-manager-upload
    Thanks to Bachsau for reporting (Closes: #966566)

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 27 Jan 2021 01:07:50 +0100

backup-manager (0.7.14-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix purging of remote archives via FTP or SSH.
    Thanks to Thomas Parmelan (Closes: #895901)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 29 Jul 2019 08:29:18 +0200

backup-manager (0.7.14-1) sid; urgency=medium

  * Add new patch: Drop-extra-continue.patch.
    Thanks to Brian Minton for reporting (Closes: 841422)
  * Update Vcs fields
  * New upstream release (0.7.14).
  * Drop upstream released patches
  * Set LIBDIR as an install make parameter
  * Rename variables
  * Fix the perl dir.
  * Bump to Standards-Version 4.1.3
  * Update lintian-overrides
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Mar 2018 13:07:46 +0100

=== debian/control ===
Source: backup-manager
Section: admin
Priority: optional
Build-Depends-Indep: debiandoc-sgml,
                     ghostscript,
                     texlive-fonts-recommended,
                     texlive-latex-base,
                     texlive-latex-extra,
                     texlive-latex-recommended,
Build-Depends: dar, debhelper-compat (= 13), gnupg, po-debconf, rsync
Maintainer: Maximiliano Curia <maxy@debian.org>
Uploaders: Margarita Manterola <marga@debian.org>
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/backup-manager
Vcs-Git: https://salsa.debian.org/debian/backup-manager.git
Homepage: https://github.com/sukria/Backup-Manager

Package: backup-manager
Architecture: all
Suggests: anacron,
          backup-manager-doc,
          dar,
          dvd+rw-tools,
          genisoimage,
          gettext-base,
          libnet-amazon-s3-perl,
          openssh-client,
          wodim,
          zip,
Depends: debconf | debconf-2.0,
         ucf (>= 2.009),
         ${misc:Depends},
         ${perl:Depends},
Multi-Arch: foreign
Description: command-line backup tool
 This is a backup program, designed to help you make daily archives of
 your file system.
 .
 Written in bash and perl, it can make tar, tar.gz, tar.bz2, and zip
 archives and can be run in a parallel mode with different
 configuration files. Other archives are possible: MySQL or SVN dumps,
 incremental backups...
 .
 Archives are kept for a given number of days and the upload system
 can use FTP, SSH or RSYNC to transfer the generated archives to a list of
 remote hosts.
 .
 Automatically burning archives to removable media such as CD or DVD is also
 possible.
 .
 The configuration file is very simple and basic and gettext is used for
 internationalization.

Package: backup-manager-doc
Section: doc
Architecture: all
Suggests: backup-manager
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: documentation package for Backup Manager
 Backup-manager is a backup program, designed to help you make daily
 archives of  your file system.
 .
 This package provides the Backup Manager User Guide in different formats:
 HTML, plain text and PDF.

=== debian/rules ===
#!/usr/bin/make -f

PKG = $(firstword $(shell dh_listpackages))
DOCPKG = $(lastword $(shell dh_listpackages))
PKG_DIR = $(CURDIR)/debian/$(PKG)
DOCPKG_DIR = $(CURDIR)/debian/$(DOCPKG)

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	t/run-tests.sh
endif

override_dh_auto_install:
	$(MAKE) install PREFIX=/usr DESTDIR=$(PKG_DIR) \
	    LIBDIR=/usr/share/backup-manager \
	    PERL5DIR=/usr/share/perl5
	$(MAKE) -C $(CURDIR)/doc install DESTDIR=$(DOCPKG_DIR)

override_dh_installcron:
	dh_installcron
	dh_installcron --name=backup-manager-clean-upload-db

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/sukria/Backup-Manager/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
